Subject: Re: [PATCH net-next 4/4] igb: enable auxiliary PHC functions for the i210.

From: Richard Cochran <[email-masked]>
Date: Wed, 29 May 2013 09:24:45 +0200

On Tue, May 28, 2013 at 09:12:02PM +0000, Keller, Jacob E wrote:
> 
> I think ethtool would be good, but what about using sysfs?

The problem I see with ethtool is that configuring GPIOs (and these
SDPs are really just GPIOs by a different name) is really the job of
the device tree. But of course, most x86 users of the i210 don't have
this option.

Also, using ethtool or sysfs is not really attractive for embedded
designs (let's not forget the poor embedded guys). I think we need to
have a way to specify the pin functions at (or before) kernel boot
time.  Barring DT and kconfig, using a module parameter is the only
way to accomplish this.

Thanks,
Richard